Bug 967105 - [abrt] supertuxkart-0.7.3-1.fc18: _M_grab: Process /usr/bin/supertuxkart was killed by signal 11 (SIGSEGV)
[abrt] supertuxkart-0.7.3-1.fc18: _M_grab: Process /usr/bin/supertuxkart was ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: supertuxkart (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:65c8337c105e8914272d4a510f9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 13:57 EDT by Egon Kastelijn
Modified: 2014-01-11 01:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-11 01:36:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (18.32 KB, text/plain)
2013-05-24 13:57 EDT, Egon Kastelijn
no flags Details
File: cgroup (128 bytes, text/plain)
2013-05-24 13:57 EDT, Egon Kastelijn
no flags Details
File: core_backtrace (2.43 KB, text/plain)
2013-05-24 13:57 EDT, Egon Kastelijn
no flags Details
File: dso_list (7.34 KB, text/plain)
2013-05-24 13:57 EDT, Egon Kastelijn
no flags Details
File: environ (1.76 KB, text/plain)
2013-05-24 13:57 EDT, Egon Kastelijn
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-24 13:57 EDT, Egon Kastelijn
no flags Details
File: maps (37.35 KB, text/plain)
2013-05-24 13:57 EDT, Egon Kastelijn
no flags Details
File: open_fds (528 bytes, text/plain)
2013-05-24 13:57 EDT, Egon Kastelijn
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2013-05-24 13:57 EDT, Egon Kastelijn
no flags Details
File: var_log_messages (342 bytes, text/plain)
2013-05-24 13:58 EDT, Egon Kastelijn
no flags Details

  None (edit)
Description Egon Kastelijn 2013-05-24 13:57:13 EDT
Description of problem:
I was starting SuperTuxKart with two USB gamepads connected (2x Logitech Gamepad F310), and I only pressed the A (fire) button a few times. 

Version-Release number of selected component:
supertuxkart-0.7.3-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        supertuxkart --log=file
crash_function: _M_grab
executable:     /usr/bin/supertuxkart
kernel:         3.9.2-200.fc18.x86_64
uid:            1000
ureports_counter: 2
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _M_grab at /usr/src/debug/gcc-4.7.2-20121109/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/basic_string.h:226
 #1 std::basic_string<char, std::char_traits<char>, std::allocator<char> >::basic_string at /usr/src/debug/gcc-4.7.2-20121109/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/basic_string.tcc:175
 #2 _Construct<std::basic_string<char>, std::basic_string<char> > at /usr/include/c++/4.7.1/bits/stl_construct.h:85
 #3 __uninit_copy<__gnu_cxx::__normal_iterator<std::basic_string<char> const*, std::vector<std::basic_string<char> > >, std::basic_string<char>*> at /usr/include/c++/4.7.1/bits/stl_uninitialized.h:77
 #4 uninitialized_copy<__gnu_cxx::__normal_iterator<std::basic_string<char> const*, std::vector<std::basic_string<char> > >, std::basic_string<char>*> at /usr/include/c++/4.7.1/bits/stl_uninitialized.h:119
 #5 __uninitialized_copy_a<__gnu_cxx::__normal_iterator<std::basic_string<char> const*, std::vector<std::basic_string<char> > >, std::basic_string<char>*, std::basic_string<char> > at /usr/include/c++/4.7.1/bits/stl_uninitialized.h:260
 #6 vector at /usr/include/c++/4.7.1/bits/stl_vector.h:310
 #7 TracksScreen::init at states_screens/tracks_screen.cpp:228
 #8 GUIEngine::AbstractStateManager::pushScreen at guiengine/abstract_state_manager.cpp:132
 #9 GUIEngine::EventHandler::sendEventToUser at guiengine/event_handler.cpp:587
Comment 1 Egon Kastelijn 2013-05-24 13:57:17 EDT
Created attachment 752809 [details]
File: backtrace
Comment 2 Egon Kastelijn 2013-05-24 13:57:19 EDT
Created attachment 752810 [details]
File: cgroup
Comment 3 Egon Kastelijn 2013-05-24 13:57:22 EDT
Created attachment 752811 [details]
File: core_backtrace
Comment 4 Egon Kastelijn 2013-05-24 13:57:25 EDT
Created attachment 752812 [details]
File: dso_list
Comment 5 Egon Kastelijn 2013-05-24 13:57:28 EDT
Created attachment 752813 [details]
File: environ
Comment 6 Egon Kastelijn 2013-05-24 13:57:33 EDT
Created attachment 752814 [details]
File: limits
Comment 7 Egon Kastelijn 2013-05-24 13:57:45 EDT
Created attachment 752815 [details]
File: maps
Comment 8 Egon Kastelijn 2013-05-24 13:57:51 EDT
Created attachment 752816 [details]
File: open_fds
Comment 9 Egon Kastelijn 2013-05-24 13:57:56 EDT
Created attachment 752817 [details]
File: proc_pid_status
Comment 10 Egon Kastelijn 2013-05-24 13:58:00 EDT
Created attachment 752818 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-12-21 08:42:27 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.